## com.sun.jersey.core.header
Class LinkHeaders

    java.lang.Object
      com.sun.jersey.core.header.LinkHeaders

    public class LinkHeaders

extends java.lang.Object

A map of Link headers where each header can be retrieved using the relationship type as the key.

Author:
  Paul.Sandoz@Sun.Com

Constructor Summary
`LinkHeaders(javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String> headers)`

Method Summary
`LinkHeader` `getLink(java.lang.String rel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkHeaders

    public LinkHeaders(javax.ws.rs.core.MultivaluedMap<java.lang.String,java.lang.String> headers)
                throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### getLink

    public LinkHeader getLink(java.lang.String rel)
                       throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

Copyright © 2017 Oracle Corporation. All Rights Reserved.